---
dist: trusty
sudo: false
group: beta
cache:
  - pip
  - directories:
      - $HOME/.pre-commit
      - $HOME/.cabal
      - $HOME/.ghc

matrix:
    fast_finish: True
    include:
        - language: python
          python: "3.6"
          env:
              PATH: "$HOME/.cabal/bin:$PATH"
          addons:
            apt:
              packages:
                  - cabal-install
                  - ghc
          install:
              - cabal update && cabal install shellcheck
              - pip install pre_commit | cat
              - pre-commit install-hooks
          script:
              - pre-commit run --all-files
        - language: shell
          script:
              bats -t tests/

notifications:
  on_failure: never
  email: false
